import 'package:intl/intl.dart';

class NumberUtil {
  Duration sum(List<Duration> durations) {
    return durations.fold(Duration(), (value, element) => value + element);
  }

  dynamic toFixed(double number, int i) {
    final String text = number.toStringAsFixed(i);

    if (text.contains(".")) {
      return double.parse(text);
    } else {
      return int.parse(text);
    }
  }

  double getFractionWithOne(num number, num divider) {
    if (divider == 0) {
      return 1.0;
    } else {
      return number / divider;
    }
  }

  double getFractionWithZero(num number, num divider) {
    if (divider == 0 && number == 0) {
      return 0.0;
    } else if (divider == 0) {
      return 1.0;
    } else {
      return number / divider;
    }
  }

  double floorToNearest(num number, int divisor) {
    final int result = (number / divisor).floor() * divisor;

    return result.toDouble();
  }

  double roundToNearest(num number, int divisor) {
    final int result = (number / divisor).round() * divisor;

    return result.toDouble();
  }

  int toPercentage(num number) {
    return(number * 100).round();
  }

  String toComma(num number) {
    return NumberFormat("#,###").format(number);
  }
}
