import 'package:flutter/material.dart';
import 'package:flutter_helper/flutter_helper.dart';

class PasswordTextFieldView extends StatefulWidget {
  final TextEditingController? controller;
  final FormFieldValidator<String>? validator;
  final InputBorder border;
  final Function? onChanged;

  PasswordTextFieldView({
    this.controller,
    this.validator,
    this.border = const UnderlineInputBorder(),
    this.onChanged,
    Key? key
  }): super(key: key);
  
  @override
  _PasswordTextFieldViewState createState() => _PasswordTextFieldViewState();
}

class _PasswordTextFieldViewState extends State<PasswordTextFieldView> {
  bool _isObscure = true;

  void _onShow() {
    setState(() {
      _isObscure = !_isObscure;
    });
  }
  
  @override
  Widget build(BuildContext context) {
    return TextFieldView(
        onChanged: widget.onChanged,
        border: widget.border,
        validator: widget.validator,
        obscureText: _isObscure,
        prefixIcon: Icon(Icons.lock),
        suffixIcon: IconButton(
            icon:
            Icon(_isObscure ? Icons.visibility_off : Icons.visibility),
            onPressed: _onShow),
        label: "Password",
        controller: widget.controller);
  }
}
