import 'package:flutter/material.dart';
import 'package:flutter_helper/flutter_helper.dart';
import 'package:flutter_helper/src/Blocs/ValueFieldBloc.dart';

class ValueFieldView<T> extends StatelessWidget {
  final ValueFieldBloc valueFieldBloc;
  final String label;

  ValueFieldView({
    required this.valueFieldBloc,
    required this.label
  });

  @override
  Widget build(BuildContext context) {
    TextInputType? type;

    switch (T) {
      case double:
        type = TextInputType.numberWithOptions(decimal: true);
        break;
      case int:
        type = TextInputType.number;
        break;
      case String:
        type = null;
        break;
    }

    return OutlinedTextFieldView(
      label: label,
      textInputAction: TextInputAction.done,
      keyboardType: type,
      controller: valueFieldBloc,
    );
  }
}